<html>
<Head>
<Title>Some papers (Karczmarczuk)</Title>
</Head>
<!--
<Body BGCOLOR="#33FFFF">
-->

<!--
<BODY BACKGROUND="pic/fibr22.gif" LINK="#0000A0" 
    ALINK="#F00000" VLINK="#600040">
 -->

<!-- -->
<BODY BACKGROUND="pic/whtmarb.jpg" LINK="#0000A0" 
    ALINK="#F00000" VLINK="#600040">
<!-- -->

<p>
<center>
<img src="rVGogh.jpg">
</center>
<p>


<font size=+1>
<H1>Some recent papers</H1>
<BR>
<BR>
<ol>
<!--
<LI> <A HREF="parefor.ps.gz">Programmation paresseuse et calcul formel
</A>, (in French) talk on the 5-th Rhine Workshop on Computer Algebra, 
April 1996. (In French, gzipped PostScript, 64959 bytes). There are also some
<A HREF="myslid.ps.gz">transparencies</A> 
in English (gzipped PostScript, 63665 bytes)
-->

<LI> <A HREF="lazysem.ps.gz">Generating Power of Lazy Semantics</A>,
TCS Special Issue on Computer Algebra,
Theoretical Computer Science <b>187</b> (1997), 203 - 219.
(Gzipped PostScript, 71491 bytes.). Describes the usage of
the lazy evaluation (coded in Haskell) in the manipulation of power series.
<p>

<!--
<li> <a href="multwtut.pdf.gz">Le Web et le Multilinguisme</a>. These
are slides (one PDF file) of my 3H tutorial (in French) presented in Rabat, 
Morocco in April 1998.
-->

<LI> <a href="difalg.ps.gz">Functional Differentiation of Computer
Programs</a>, the ICFP'98 talk (Baltimore, September 1998; might be
useful for those who found their Proceedings badly printed.) Another
essay on scientific application of laziness. Very simple and useful
technique for those who need precise derivatives, but hate to look at 
them.
<p>

<!--
<li> <a href="ladifa.ps.gz">Lazy Differential Algebra and its
Applications</a>. This is <i>another</> presentation of the lazy
differentiation stuff</i>, with different examples. Presented as a
participant contribution during the AFP Summer School (Braga, Portugal,
September 1998).
-->

<li> Another version of <a href="diffalg.pdf">Functional Differentiation</a>,
 enriched by different examples, including some presented on the Workshop
 attached to the Braga Summer School on FP (1998). This version has been
 sent to the Journal of HOSC.
<p>

<li> <a href="lazypi.ps.gz">The Most Unreliable Technique in the World
to Compute PI</a>. Another Braga contribution, written for fun and
instruction. Its "serious" title should be more or less: <i>"Infinite
precision real fractions, and lazy carry propagation".</i> (If you read it
you will be impressed by some extremely profound philosophical comments,
inserted there because the AFP School took place in the <b>Casa do
Esp&iacute;rito Santo</b>, a building administrated by missionaries,
and I felt obliged to comply with the spiritual atmosphere of the lieu...)
<p>

<!--
<li> <a href="rabat.ps.gz">Scientific Communication and Dynamic 
Documents</a>, a talk - essay presented on the <i>Colloque International
sur le Document Electronique</i>: Actes, pp. 77-88, Rabat, Morocco, April
1998.
-->

<li> <a href="fu3ncd.pdf">Geometric Modelling in Functional Style</a>, the talk
given at the CLaPF'99, International Latino-American Conference on
Functional Programming, Recife (Brazil), March 1999. How to <i>use</i>
functions as geometrical 3d objects, how to generate generalized sweeps,
how to distort the objects etc. <a href="fu3ncdH.pdf">Another PDF version</a>
contains some hyperlinks (sections, biblio, etc.).
<p>

<li> <a href="quantfun.pdf">Scientific Computation and Functional Programming</a>,
this somehow pompous title hides an essay on the lazy functional algorithms applied to
theoretical physics, for example how to define some operations on <i>abstract</i>
state vectors, and how to code the Brillouin-Wigner perturbation expansion for a
simple test case (anharmonic oscillator). This paper is being published in 
<em>Computing in Science &
Engineering</em>, Vol. 1, No. 3, 
section: "Scientific Programming", ed. P. DuBois,
pp. 64-72. 
Here you
are the <a href="quantfun.ps">PostScript version</a>.
<p>

<li> <a href="ltforms.pdf">Functional Coding of Differential Forms</a>, a paper
presented at the Scottish Workshop on FP, September 1999. The lazy algorithmic
differentiation stuff got generalized to N dimensions. We can now construct
p-vectors and its differentials, the Hodge "star" operator, etc. The package uses no
indices, but some less-than-obvious recursion patterns. Needs reworking.
OHP slides <a href="scotslid.pdf">are here</a> (PDF for print), 
<a href="scotslid0.pdf">and here (landscape for screen).</a>
<p>

<li> <a href="laseq.pdf">Lazy Processing and Optimization of Discrete
Sequences</a>, another attempt at marrying the functional style and quite
classical numerical computations. You will find here very short codes for
Runge Kutta, Romberg integration, or convergence acceleration techniques, 
but more specifically, some non-trivial optimizations of arithmetic and
geometric sequence processing.<br>
There is now a <a href="pareseq.pdf">more recent version in French.</a>
<p>

<li> A talk proposed to the IMACS'2000 Congress (Lausanne, Sept. 2000):
 <a href="lazimacs.pdf">Lazy Coding and Scientific Computing</a> advocating
 the usage of lazy techniques for scientific, numeric programming. This is
 a collection of examples, no new rocket science inside. 
<p>


<li> <a href="revdiff.pdf">Adjoint Codes in Functional Framework</a>. 
 This is an attempt to code lazily the "Reverse" computational differentiation
 technique. The laziness is used here to extract some information "from the
 future", so the paper is a little mad. I even cite a science-fiction book
 (Philip Dick) in the references...
 There is also a <a href="revdiff.ps">PostScript version</a> if you prefer.
 (This paper was presented as a short, informal talk at the Haskell Workshop
 during ICFP'2000 [Montréal].) <br>
 A slightly different version in French is
 <a href="jflarev.pdf">available here</a>.
<p>

</OL>
<BR>
<p>








</html>
